util.ui.beanshell

## Class SyntaxDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.DefaultStyledDocument
    - - util.ui.beanshell.SyntaxDocument

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document, javax.swing.text.StyledDocument

       class SyntaxDocument
      extends javax.swing.text.DefaultStyledDocument

  Syntax-Highlighting for the BeanShell-Editor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.DefaultStyledDocument

      `javax.swing.text.DefaultStyledDocument.AttributeUndoableEdit, javax.swing.text.DefaultStyledDocument.ElementBuffer, javax.swing.text.DefaultStyledDocument.ElementSpec, javax.swing.text.DefaultStyledDocument.SectionElement`

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.DefaultStyledDocument

      `buffer, BUFFER_SIZE_DEFAULT`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntaxDocument()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getEndDelimiter()`
    `protected java.lang.String` | `getEscapeString(java.lang.String quoteDelimiter)`
    `protected java.lang.String` | `getSingleLineDelimiter()`
    `protected java.lang.String` | `getStartDelimiter()`
    `void` | `insertString(int offset, java.lang.String str, javax.swing.text.AttributeSet a)`
    `protected boolean` | `isDelimiter(java.lang.String character)`
    `protected boolean` | `isKeyword(java.lang.String token)`
    `protected boolean` | `isQuoteDelimiter(java.lang.String character)`
    `void` | `processChangedLines(int offset, int length)`
    `void` | `remove(int offset, int length)`

    - ### Methods inherited from class javax.swing.text.DefaultStyledDocument

      `addDocumentListener, addStyle, create, createDefaultRoot, getBackground, getCharacterElement, getDefaultRootElement, getFont, getForeground, getLogicalStyle, getParagraphElement, getStyle, getStyleNames, insert, insertUpdate, removeDocumentListener, removeElement, removeStyle, removeUpdate, setCharacterAttributes, setLogicalStyle, setParagraphAttributes, styleChanged`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.text.Document

      `addUndoableEditListener, createPosition, getEndPosition, getLength, getProperty, getRootElements, getStartPosition, getText, getText, putProperty, removeUndoableEditListener, render`

- - ### Constructor Detail

    - #### SyntaxDocument

          public SyntaxDocument()

  - ### Method Detail

    - #### insertString

          public void insertString(int offset,
                          java.lang.String str,
                          javax.swing.text.AttributeSet a)
                            throws javax.swing.text.BadLocationException

      Specified by:
        `insertString` in interface `javax.swing.text.Document`
      Overrides:
        `insertString` in class `javax.swing.text.AbstractDocument`
      Throws:
        `javax.swing.text.BadLocationException`

    - #### remove

          public void remove(int offset,
                    int length)
                      throws javax.swing.text.BadLocationException

      Specified by:
        `remove` in interface `javax.swing.text.Document`
      Overrides:
        `remove` in class `javax.swing.text.AbstractDocument`
      Throws:
        `javax.swing.text.BadLocationException`

    - #### processChangedLines

          public void processChangedLines(int offset,
                                 int length)
                                   throws javax.swing.text.BadLocationException

      Throws:
        `javax.swing.text.BadLocationException`

    - #### isDelimiter

          protected boolean isDelimiter(java.lang.String character)

    - #### isQuoteDelimiter

          protected boolean isQuoteDelimiter(java.lang.String character)

    - #### isKeyword

          protected boolean isKeyword(java.lang.String token)

    - #### getStartDelimiter

          protected java.lang.String getStartDelimiter()

    - #### getEndDelimiter

          protected java.lang.String getEndDelimiter()

    - #### getSingleLineDelimiter

          protected java.lang.String getSingleLineDelimiter()

    - #### getEscapeString

          protected java.lang.String getEscapeString(java.lang.String quoteDelimiter)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)